Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv32268/scripts
Modified Files:
Tag: rel-1-2-patches
build.sh
Log Message:
make sure the updated lfssystem is being used
Index: build.sh
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/build.sh,v
retrieving revision 1.79.2.11
retrieving revision 1.79.2.12
diff -u -d -r1.79.2.11 -r1.79.2.12
--- build.sh 30 May 2008 15:00:39 -0000 1.79.2.11
+++ build.sh 24 Jun 2008 20:42:48 -0000 1.79.2.12
@@ -31,6 +31,18 @@
NICE=""
fi
+if [ ! -f /etc/lfssystem-1.2b ]; then
+ echo ""
+ echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+ echo "ERROR: wrong version of the build environment"
+ echo ""
+ echo "please download the correct version of the lfssystem from one of our download locations"
+ echo "the version you're using is not the correct one (there may have been a recent change)"
+ echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+ echo ""
+ exit 1
+fi
+
until [ -z "$1" ]; do
CMD=$1
# read optional parameter
|